Skip to main content
POST
/
v1
/
dict
/
funds-recoveries
/
{funds_recovery_id}
/
refund
Request Refund
curl --request POST \
  --url https://plugin-pix-indirect.api.lerian.net/v1/dict/funds-recoveries/{funds_recovery_id}/refund \
  --header 'Authorization: Bearer <token>'
{
  "bacenFundsRecoveryId": "91d65e98-97c0-4b0f-b577-73625da1f9fc",
  "contactInformation": {
    "email": "customer@example.com",
    "phone": "+5511999999999"
  },
  "createdAt": "2023-11-07T05:31:56Z",
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "reportDetails": "Customer reported receiving a call from fake bank employee",
  "reporterParticipant": "12345678",
  "rootTransactionId": "E12345678202411241430ABCDEFGHIJK",
  "situationType": "SCAM",
  "status": "CREATED",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

funds_recovery_id
string
required

Funds Recovery ID (UUID format)

Response

OK

bacenFundsRecoveryId
string
Example:

"91d65e98-97c0-4b0f-b577-73625da1f9fc"

contactInformation
object
createdAt
string<date-time>
Example:

"2023-11-07T05:31:56Z"

id
string
Example:

"550e8400-e29b-41d4-a716-446655440000"

reportDetails
string
Example:

"Customer reported receiving a call from fake bank employee"

reporterParticipant
string
Example:

"12345678"

rootTransactionId
string
Example:

"E12345678202411241430ABCDEFGHIJK"

situationType
enum<string>
Available options:
SCAM,
ACCOUNT_TAKEOVER,
COERCION,
FRAUDULENT_ACCESS,
OTHER,
UNKNOWN
Example:

"SCAM"

status
enum<string>
Available options:
CREATED,
TRACKED,
AWAITING_ANALYSIS,
ANALYSED,
REFUNDING,
COMPLETED,
CANCELLED
Example:

"CREATED"

updatedAt
string<date-time>
Example:

"2023-11-07T05:31:56Z"